Skip to main content
POST
/
v1
/
predictions
curl --request POST \
  --url https://api.shuyou.ai/v1/predictions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "happyhorse-1.0-r2v",
  "function": "video",
  "input": {
    "prompt": "The character walks through a busy street with consistent appearance",
    "reference_image_urls": [
      "https://example.com/character-ref.png"
    ]
  }
}
'
{
  "data": {
    "task_id": "2c4d50261173430290971a2395a3b607",
    "task_status": "processing"
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer YOUR_API_KEY

Body

application/json
model
enum<string>
default:happyhorse-1.0-r2v
required

Model ID. Use happyhorse-1.0-r2v for this endpoint.

Available options:
happyhorse-1.0-r2v
Example:

"happyhorse-1.0-r2v"

function
enum<string>
required

Task type. Must be video for video generation.

Available options:
video
Example:

"video"

input
object
required
webhook
string<uri>

Optional HTTPS callback URL when the task completes, fails, or is cancelled (Predictions API).

Response

Async task created

data
object
required